org.codehaus.groovy.runtime.m12n

## Class ExtensionModule

- java.lang.Object
- - org.codehaus.groovy.runtime.m12n.ExtensionModule

- Direct Known Subclasses:
    SimpleExtensionModule

      public abstract class ExtensionModule
      extends java.lang.Object

  An extension module is a class responsible for providing a list of `meta methods` to the Groovy compiler and runtime. Those methods are use to "dynamically extend" existing classes by adding methods to existing classes.
  Since:
    2.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionModule(java.lang.String moduleName, java.lang.String moduleVersion)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.util.List<MetaMethod>` | `getMetaMethods()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getVersion()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionModule

          public ExtensionModule(java.lang.String moduleName,
                                 java.lang.String moduleVersion)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getVersion

          public java.lang.String getVersion()

    - #### getMetaMethods

          public abstract java.util.List<MetaMethod> getMetaMethods()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`